<template>
    <div>
        <ul v-for='car in cars ' :key=car.name>
            <li>{{car.name}}</li>
            <li>{{car.model}}</li>
            <li>{{car.year}}</li>
            <b-button variant="danger" @click='selectCar(car)'>Voir les details</b-button>
        </ul>
        <b-button variant="success" @click="addCar()"> Add Car</b-button>
        <p>Nombre de voitures {{counter}}</p>
    </div>
</template>

<script>

import Vue from 'vue'
import VueResource from 'vue-resource'
Vue.use(VueResource)

export default {
    data() {
        return{
            cars:[]
        }
    },
    http:{
        root:'http://localhost:3000'
    },
    methods:{
        selectCar (car){
            this.$store.dispatch('selectCar',car.id)
            },
        addCar (){
            this.cars.push({
                'name':'Ford',
                'model':'Mustang',
                'year':'1964'
            })
        },
    },

    computed:{
        counter (){
            return this.cars.length
        }
    },

    mounted () {
        this.$resource('cars')
        .get()
        .then(
            response =>{
                this.cars = response.data
            },
            response =>{
                console.log('erreur',response)
            }
        )
    }
}
</script>

<style>
div.carList{
    display: inline-block;
    width: 40%;
  }
ul{list-style: none;}
</style>